#include "wpagui.h"

#include <qvariant.h>
#include <dirent.h>
#include <qmessagebox.h>
#include <qapplication.h>
#include <qimage.h>
#include <qpixmap.h>

#include "wpa_ctrl.h"
#include "userdatarequest.h"
#include "networkconfig.h"
#include "../wpagui.ui.h"
/*
 *  Constructs a WpaGui as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 */
WpaGui::WpaGui(QWidget* parent, const char* name, Qt::WindowFlags fl)
    : Q3MainWindow(parent, name, fl)
{
    setupUi(this);

    (void)statusBar();
    init();
}

/*
 *  Destroys the object and frees any allocated resources
 */
WpaGui::~WpaGui()
{
    destroy();
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void WpaGui::languageChange()
{
    retranslateUi(this);
}

